Bug 1273868 - Heketi doesn't allow deleting nodes with drives missing/inaccessible
Heketi doesn't allow deleting nodes with drives missing/inaccessible
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: RHGS 3.1.2
Assigned To: Luis Pabón
Anush Shetty
: ZStream
Depends On:
Blocks: 1260783
  Show dependency treegraph
Reported: 2015-10-21 08:21 EDT by Anush Shetty
Modified: 2016-11-08 17:25 EST (History)
3 users (show)

See Also:
Fixed In Version: heketi-1.0.1-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-01 00:44:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Anush Shetty 2015-10-21 08:21:02 EDT
Description of problem: When drives are unreachable/missing from a node where volumes existed, heketi has no provision to delete the node from the cluster. Hence even the cluster it belongs to cannot be deleted without removing the db file. Volumes associated with the node can be deleted though. 

Version-Release number of selected component (if applicable): 1.0.0 (Upstream build)

How reproducible: Always

Steps to Reproduce:
1. Create a cluster and then create a heketi volume
2. On one of the nodes, disable the drives (shutdown the machine)
3. Try deleting the node

Actual results:

Node deletion fails.
Comment 2 Luis Pabón 2015-10-21 10:38:23 EDT
Github Issue: https://github.com/heketi/heketi/issues/232
Comment 5 Anush Shetty 2015-11-24 06:57:42 EST
Heketi deletes the entry from its database. On the node, an application will have to go and cleanup the volume groups/bricks manually.

Verified with heketi-1.0.1-1.el7rhgs.x86_64
Comment 7 errata-xmlrpc 2016-03-01 00:44:11 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.